import 'package:flutter/material.dart';
import 'package:image_picker/image_picker.dart';
import 'package:multi_image_view/enum/image_source_types.dart';
import 'package:multi_image_view/theme/text_styles.dart';
class SourceChoiceDialog extends StatelessWidget {
  final Function(ImageSourceType)? onChoiceSelect;
   const SourceChoiceDialog({Key? key,this.onChoiceSelect}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: Column(

        mainAxisSize: MainAxisSize.min,
        children: [
          Text("Choose Image From",style: boldTextStyle()),
          const SizedBox(height: 10,),

          Container(
            width: double.infinity,
            margin: const EdgeInsets.all(4),
            decoration: BoxDecoration(
                border: Border.all(color: Colors.blue),
                borderRadius: BorderRadius.circular(5)
            ),
            child: TextButton.icon(


              icon:const Icon(Icons.camera_alt_outlined),

              onPressed: (){

                Navigator.of(context).pop(ImageSource.camera);
              },
              label: const Text("Camera"),),
          ),
          const SizedBox(height: 10,),

          Container(
            width: double.infinity,
            margin: const EdgeInsets.all(4),
            decoration: BoxDecoration(
              border: Border.all(color: Colors.blue),
              borderRadius: BorderRadius.circular(5)
            ),
            child: TextButton.icon(


              icon:const Icon(Icons.image_rounded),

              onPressed: (){

                Navigator.of(context).pop(ImageSource.gallery);
              },
              label: const Text("Gallery"),),
          ),
        ],
      ),
    );
  }
}
